Elua.h File Reference

Elua Library. More...

## Macros

#define | EAPI
#define | EAPI

## Typedefs

typedef struct _Elua_State | Elua_State
| Opaque Elua state.

## Functions

EAPI int | elua_init (void)
| Initialize the Elua library.
EAPI int | elua_shutdown (void)
| Shutdown the Elua library.
EAPI Elua_State * | elua_state_new (const char *progname)
| Create a new Elua state.
EAPI Elua_State * | elua_state_from_lua_state_get (lua_State *L)
| Retrieve an Elua state from a Lua state.
EAPI void | elua_state_free (Elua_State *es)
| Destroy an Elua state.
EAPI void | elua_state_dirs_set (Elua_State *es, const char *core, const char *mods, const char *apps)
| Set the Elua directory paths.
EAPI void | elua_state_dirs_fill (Elua_State *es, Eina_Bool ignore_env)
| Fill the currently unset Elua dirs.
EAPI Eina_Stringshare * | elua_state_core_dir_get (const Elua_State *es)
| Retrieve the Elua core dir.
EAPI Eina_Stringshare * | elua_state_mod_dir_get (const Elua_State *es)
| Retrieve the Elua module dir.
EAPI Eina_Stringshare * | elua_state_apps_dir_get (const Elua_State *es)
| Retrieve the Elua apps dir.
EAPI Eina_Stringshare * | elua_state_prog_name_get (const Elua_State *es)
| Retrieve the prog name set on state creation.
EAPI void | elua_state_include_path_add (Elua_State *es, const char *path)
| Add another path to look up modules in to the state.
EAPI Eina_Bool | elua_state_require_ref_push (Elua_State *es)
| Push the Elua "require" function onto the Lua stack.
EAPI Eina_Bool | elua_state_appload_ref_push (Elua_State *es)
| Push the Elua app loader function onto the Lua stack.
EAPI lua_State * | elua_state_lua_state_get (const Elua_State *es)
| Retrieve the Lua state from an Elua state.
EAPI Eina_Bool | elua_state_setup (Elua_State *es)
| Set up the Elua state.
EAPI int | elua_io_loadfile (const Elua_State *es, const char *fname)
| Loads a file using Elua's own mmap-based IO.
EAPI Eina_Bool | elua_util_require (Elua_State *es, const char *libname)
| Requires a module.
EAPI Eina_Bool | elua_util_file_run (Elua_State *es, const char *fname)
| Runs a file.
EAPI Eina_Bool | elua_util_string_run (Elua_State *es, const char *chunk, const char *chname)
| Runs a string.
EAPI int | elua_util_app_load (Elua_State *es, const char *appname)
| Loads an application.
EAPI Eina_Bool | elua_util_script_run (Elua_State *es, int argc, char **argv, int n, int *quit)
| Runs a script.
EAPI int | elua_util_error_report (const Elua_State *es, int status)
| Reports an error using Eina logging.

## Detailed Description

Elua Library.

## Macro Definition Documentation

## EAPI [1/2]

#define EAPI

# Elua library

The Elua library was created to ease integration of EFL Lua into other EFL libraries or applications. Using the Elua library you can easily create a Lua state that is fully set up for running EFL Lua bindings.

You can find the API documentation at Elua

## EAPI [2/2]

#define EAPI

# Elua library

The Elua library was created to ease integration of EFL Lua into other EFL libraries or applications. Using the Elua library you can easily create a Lua state that is fully set up for running EFL Lua bindings.

You can find the API documentation at Elua